<?php
	class systemSECURITY {
		public function validateParams($mParams) {
			global $systemHandler;
			$systemMySQLi = $systemHandler->loadHandler("MYSQLI");
		
			if(is_array($mParams)) {
				$mCachedParams = array();
				foreach($mParams as $mKey => $mValue)
					$mCachedParams[$mKey] = $systemMySQLi->mConnection->real_escape_string($mValue);
				return $mCachedParams;
			}
			else
				return $systemMySQLi->mConnection->real_escape_string($mParams);
				
			return null;
		}
	}
?>